/*
Easy Build LoRaTracker Programs for Arduino ATMEGA328

Copyright of the author Stuart Robinson - 13/08/2016
HTTP://WWW.LORATRACKER.UK
These programs may be used free of charge for personal, recreational and educational purposes only.

This program, or parts of it, may not be used for or in connection with any commercial purpose without
the explicit permission of the author Stuart Robinson. */

//board hardware definitions

#ifdef Relay
  #define lora_PNSS 8	                //pin number where the NSS line for the LoRa device is connected
  #define lora_PReset 4               //pin where LoRa device reset line is connecte
  #define PLED1 13                    //pin number for LED on Tracker
#endif

const char ACK = 'A';
const char LinkReport = 'B';            //HAB Style in CSV
const char bLinkReport = 'b';           //binary style
const char ClearToSend = 'C';
const char ClearToSendCommand = 'c';
const char Error = 'E';                      
const char NoFix = 'F';
const char NoGPS = 'G';
const char GLONASSDetected = 'g';
const char LongPayload = '$';
const char Memory = 'M';
const char NACK = 'N';
const char NACKCommand = 'n';
const char PowerUp = 'P';               //or reset
const char Repeated = 'R';
const char ShortPayload = 'S';
const char Test = 'T';
const char Wakeup = 'W';
const char ResetTracker = 'X';
const char Config1 = 'Y';
const char Config0 = 'Z';
const char WritePacketEEPROM = '0';    //Write bytes to EEPROM 
const char Bind = '#';

const char Broadcast = '*';            //broadcast address
const char PacketStart = '$';          //command packets have a payload of at least one byte, so put this at start

